Name:           js_of_ocaml
Version:        2.8.3
Release:        %mkrel 1
Summary:        A compiler of OCaml byte-code to Javascript
License:        LGPLv2 with exceptions
Group:          Development/OCaml
Url:            http://ocsigen.org/js_of_ocaml/
Source0:        https://github.com/ocsigen/js_of_ocaml/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:  ocaml-base64-devel >= 2.0.0
BuildRequires:  ocaml-camlp4-devel
BuildRequires:  ocaml-cmdliner-devel
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-cppo-devel
BuildRequires:  ocaml-deriving-devel
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-lwt-devel >= 2.4.4
BuildRequires:  ocaml-async_kernel-devel
BuildRequires:  ocaml-ppx_expect-devel
BuildRequires:  ocaml-tyxml-devel
BuildRequires:  ocaml-uchar-devel
BuildRequires:  menhir
BuildRequires:  latex_of_wiki
Requires:       ocaml-%{name} = %{version}-%{release}
Requires:       ocaml-lwt


%description
js_of_ocaml is a compiler of OCaml byte-code to Javascript.  It makes it
possible to run OCaml programs in a Web browser.
Its key features are the following:
* the whole language, and most of the standard library are
supported;
* the generated code can be used with any web server and browser;
* you can use a standard installation of OCaml to compile your
programs. In particular, you do not have to recompile a library to
use it with Js_of_ocaml. You just have to link your program with a
specific library to interface with the browser APIs.


%package -n     ocaml-%{name}
Summary:        Runtime files for %{name}
Group:          Development/OCaml
Requires:       ocaml-deriving
Requires:       ocaml-lwt
Provides:       ocaml-js
Obsoletes:      ocaml-js < 1.1

%description -n ocaml-%{name}
The ocaml-%{name} package contains the bytecode libraries for running
applications that use %{name}.

%package -n     ocaml-%{name}-devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       ocaml-%{name} = %{version}-%{release}
Requires:       ocaml-deriving-devel
Requires:       ocaml-lwt-devel
Provides:       ocaml-js-devel
Obsoletes:      ocaml-js-devel < 1.1

%description -n ocaml-%{name}-devel
The ocaml-%{name}-devel package contains the signature
files for developing applications that use %{name}.


%package        doc
Summary:        Documentation for the js_of_ocaml compiler
Group:          Documentation
BuildArch:      noarch
Requires:       %{name} = %{version}-%{release}

%description    doc
Documentation for the js_of_ocaml compiler.


%prep
%setup -q

# TODO prepare config (like gentoo) ppx and async fails to build
printf "\n\n" >> Makefile.conf
use ppx || echo "WITH_PPX := NO" >> Makefile.conf
use async || echo "WITH_ASYNC := NO" >> Makefile.conf


%build
make
make doc


%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR
mkdir -p $OCAMLFIND_DESTDIR/stublibs
make install BINDIR=%{buildroot}%{_bindir}
make -C examples clean


%files
%{_bindir}/js_of_ocaml
%{_bindir}/jsoo_minify
%{_bindir}/jsoo_mkcmis
%{_bindir}/jsoo_mktop


%files -n ocaml-%{name}
%dir %{_libdir}/ocaml/%{name}
%{_libdir}/ocaml/%{name}/META
%{_libdir}/ocaml/%{name}/*.cma
%{_libdir}/ocaml/%{name}/*.cmi
%{_libdir}/ocaml/%{name}/*.cmxs
%{_libdir}/ocaml/%{name}/*.cmo
%{_libdir}/ocaml/%{name}/*.js
%{_libdir}/ocaml/stublibs/*.so*

%files -n ocaml-%{name}-devel
%{_libdir}/ocaml/%{name}/*.mli
%{_libdir}/ocaml/%{name}/*.a
%{_libdir}/ocaml/%{name}/*.cmxa
%{_libdir}/ocaml/%{name}/*.cmx

%files doc
%doc LICENSE README.md examples doc/api doc/manual


%changelog
* Sun Nov 13 2016 daviddavid <daviddavid> 2.8.3-1.mga6
+ Revision: 1066990
- new version: 2.8.3

* Sun Sep 25 2016 pterjan <pterjan> 2.8.2-2.mga6
+ Revision: 1056212
- Rebuild for fix in ocaml

* Mon Sep 19 2016 daviddavid <daviddavid> 2.8.2-1.mga6
+ Revision: 1054348
- new version: 2.8.2
- use a named-versionned tarball

* Fri Feb 12 2016 pterjan <pterjan> 2.7-1.mga6
+ Revision: 957264
- Update to 2.7

* Tue Feb 09 2016 pterjan <pterjan> 2.5-1.mga6
+ Revision: 952999
- Fix BuildRequires
- Fix BuildRequires
- Update to 2.5

* Wed Oct 15 2014 umeabot <umeabot> 2.4.1-2.mga5
+ Revision: 746562
- Second Mageia 5 Mass Rebuild

* Tue Oct 07 2014 malo <malo> 2.4.1-1.mga5
+ Revision: 737264
- update to 2.4.1

  + tv <tv>
    - rebuild for broken deps

* Tue Sep 16 2014 umeabot <umeabot> 1.3.2-4.mga5
+ Revision: 680865
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.3.2-3.mga4
+ Revision: 531778
- Mageia 4 Mass Rebuild

  + blue_prawn <blue_prawn>
    - rebuild for ocaml-4.01.0

* Fri Aug 09 2013 malo <malo> 1.3.2-1.mga4
+ Revision: 465023
- update to 1.3.2

* Sun Apr 14 2013 malo <malo> 1.3-4.mga3
+ Revision: 410058
- fix obsoletes/provides

* Sat Jan 12 2013 umeabot <umeabot> 1.3-3.mga3
+ Revision: 355596
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 13 2012 malo <malo> 1.3-2.mga3
+ Revision: 330152
- obsoletes ocaml-js

* Wed Dec 12 2012 malo <malo> 1.3-1.mga3
+ Revision: 329905
- new version 1.3
- simplify BuildRequires

  + blue_prawn <blue_prawn>
    - requires lwt

* Tue Oct 02 2012 blue_prawn <blue_prawn> 1.2-2.mga3
+ Revision: 302134
- rebuild for new ocaml 4.00
- new rpm group for ocaml and documentation
- noarch tag for documentation

* Thu Jun 28 2012 malo <malo> 1.2-1.mga3
+ Revision: 264742
- Update to version 1.2

* Fri Apr 20 2012 blue_prawn <blue_prawn> 1.1.1-1.mga3
+ Revision: 231898
- update to new version 1.1.1

* Fri Apr 06 2012 malo <malo> 1.0.9-4.mga2
+ Revision: 228819
- adding missing requires to ocaml-lwt

* Fri Feb 24 2012 malo <malo> 1.0.9-3.mga2
+ Revision: 213906
- fix requires.

* Thu Feb 23 2012 malo <malo> 1.0.9-2.mga2
+ Revision: 212457
- missing deriving-json files due to missing ocaml-deriving-ocsigen package

* Wed Feb 08 2012 malo <malo> 1.0.9-1.mga2
+ Revision: 206216
- imported package js_of_ocaml

